Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1487658 - Review Request: powerline-go - A beautiful and useful low-latency prompt for your shell, written in go
Summary: Review Request: powerline-go - A beautiful and useful low-latency prompt for ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-01 14:13 UTC by Robert-André Mauchin 🐧
Modified: 2017-09-30 06:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 23:22:29 UTC
Type: Bug
rosser.bjr: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2017-09-01 14:13:00 UTC
SPEC URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/powerline-go/fedora-rawhide-x86_64/00597212-powerline-go/powerline-go.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/powerline-go/fedora-rawhide-x86_64/00597212-powerline-go/powerline-go-1.5.0-1.fc28.src.rpm

Description: A Powerline like prompt for Bash, ZSH and Fish.

 - Shows some important details about the git/hg branch
 - Changes color if the last command exited with a failure code
 - If you're too deep into a directory tree, shortens the displayed path with an ellipsis
 - Shows the current Python virtualenv environment
 - It's easy to customize and extend.

Fedora Account System username: eclipseo


Note: I had to deactivate build on i386 arch because of a bug. I filed a report upstream.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=21606601

Comment 1 Ben Rosser 2017-09-01 21:37:20 UTC
You've reviewed a huge number of my packages lately, and I'm vaguely interested in this (the upstream author is a fellow member of the quassel community). Taken!

Comment 2 Robert-André Mauchin 🐧 2017-09-02 08:26:12 UTC
@Ben Rosser:

Thanks for taking the review!

The upstream bug I filled for i386 build failure already have been processed. Thus I'm posting a new version based on the GIT snapshot of the fix. If upstream release the fix as 1.5.1, I will update the SPEC accordingly.

SPEC URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/powerline-go/fedora-rawhide-x86_64/00597419-powerline-go/powerline-go.spec

SRPM URL: https://copr-be.cloud.fedoraproject.org/results/eclipseo/powerline-go/fedora-rawhide-x86_64/00597419-powerline-go/powerline-go-1.5.0-2.20170901gitb4bec46.fc28.src.rpm

Koji build with no failure: https://koji.fedoraproject.org/koji/taskinfo?taskID=21615516

Comment 4 Ben Rosser 2017-09-08 04:36:27 UTC
Sorry for the delay here. This package looks fine, and seems to agree with the Go (sadly still draft) guidelines. 

APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 26 files have unknown license. Detailed
     output of licensecheck in /home/bjr/Programming/fedora/reviews/1487658
     -powerline-go/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     powerline-go-debuginfo
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: There are rpmlint messages (see attachment).
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: powerline-go-1.5.1-1.fc28.x86_64.rpm
          powerline-go-debuginfo-1.5.1-1.fc28.x86_64.rpm
          powerline-go-1.5.1-1.fc28.src.rpm
powerline-go.x86_64: W: spelling-error %description -l en_US hg -> Hg, jg, hf
powerline-go.x86_64: W: spelling-error %description -l en_US virtualenv -> virtual
powerline-go.x86_64: W: only-non-binary-in-usr-lib
powerline-go.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
powerline-go.x86_64: W: hidden-file-or-dir /usr/lib/.build-id
powerline-go.x86_64: W: no-manual-page-for-binary powerline-go
powerline-go-debuginfo.x86_64: E: debuginfo-without-sources
powerline-go.src: W: spelling-error %description -l en_US hg -> Hg, jg, hf
powerline-go.src: W: spelling-error %description -l en_US virtualenv -> virtual
3 packages and 0 specfiles checked; 1 errors, 8 warnings.




Rpmlint (debuginfo)
-------------------
Checking: powerline-go-debuginfo-1.5.1-1.fc28.x86_64.rpm
powerline-go-debuginfo.x86_64: E: debuginfo-without-sources
1 packages and 0 specfiles checked; 1 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
powerline-go-debuginfo.x86_64: E: debuginfo-without-sources
powerline-go.x86_64: W: spelling-error %description -l en_US hg -> Hg, jg, hf
powerline-go.x86_64: W: spelling-error %description -l en_US virtualenv -> virtual
powerline-go.x86_64: W: only-non-binary-in-usr-lib
powerline-go.x86_64: W: no-manual-page-for-binary powerline-go
2 packages and 0 specfiles checked; 1 errors, 4 warnings.



Requires
--------
powerline-go-debuginfo (rpmlib, GLIBC filtered):

powerline-go (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    rtld(GNU_HASH)



Provides
--------
powerline-go-debuginfo:
    debuginfo(build-id)
    powerline-go-debuginfo
    powerline-go-debuginfo(x86-64)

powerline-go:
    powerline-go
    powerline-go(x86-64)



Source checksums
----------------
https://github.com/justjanne/powerline-go/archive/v1.5.1/powerline-go-1.5.1.tar.gz :
  CHECKSUM(SHA256) this package     : 842978b7f69b668bc7a0717028ae132ff42eac0442832d7245fef78100eba8b2
  CHECKSUM(SHA256) upstream package : 842978b7f69b668bc7a0717028ae132ff42eac0442832d7245fef78100eba8b2


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1487658 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 5 Gwyn Ciesla 2017-09-11 14:12:53 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/powerline-go

Comment 6 Fedora Update System 2017-09-11 16:15:39 UTC
powerline-go-1.5.1-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-f56316e632

Comment 7 Fedora Update System 2017-09-11 16:16:20 UTC
powerline-go-1.5.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c095bd616

Comment 8 Fedora Update System 2017-09-11 16:16:53 UTC
powerline-go-1.5.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a91b1cc0af

Comment 9 Fedora Update System 2017-09-11 21:56:38 UTC
powerline-go-1.5.1-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f56316e632

Comment 10 Fedora Update System 2017-09-12 01:23:46 UTC
powerline-go-1.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9c095bd616

Comment 11 Fedora Update System 2017-09-12 02:21:13 UTC
powerline-go-1.5.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a91b1cc0af

Comment 12 Fedora Update System 2017-09-19 23:22:29 UTC
powerline-go-1.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-20 10:22:37 UTC
powerline-go-1.5.1-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-30 06:23:41 UTC
powerline-go-1.5.1-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.